Bug 591611 - virtio balloon should not use pages from kernel's reserve pools for fill requests [rhel-5.5.z]
virtio balloon should not use pages from kernel's reserve pools for fill requ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: ZStream
Depends On: 584683
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 13:19 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The virtio balloon driver was able to access the virtual guest's kernel's reservation pools in order to satisfy a balloon request, which could have caused a kernel of the virtual guest to run out of memory when attempting to satisfy the host operating system's request to donate free memory pages. This has been fixed so that virtual guests do not run out of memory when guest memory usage is high.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 14:26:58 EDT

  None (edit)
Description RHEL Product and Program Management 2010-05-12 13:19:45 EDT
This bug has been copied from bug #584683 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 2 Jiri Pirko 2010-06-02 07:11:50 EDT
in 2.6.18-194.5.1.el5
Comment 5 Quan Wenli 2010-06-18 02:13:56 EDT
As the result parts show unfriendly in the previous comments,Correct it again.

Version            |Result
===================+=============================================================
2.6.18-194.el5     |Run out of mem
                   |Show message "'vballoon: page allocation failure.order:0, 
                   |mode:0x210d2'."This happens *after* the emergency reserve 
                   |pages from the kernel have been used.
                   |Detail in log-2.6.18-194  
                   |FAIL 
-------------------+-------------------------------------------------------------
2.6.18-194.7.1.el5 |Run out of me
                   |can not see message "'vballoon: page allocation 
                   |failure.order:0, mode:0x210d2'."means it's just
                   |going to relax and find pages in a later run.
                   |Detail in log-2.6.18-194.7.1
                   |PASS
===================+=============================================================

So this bug has been fixed in kernel 2.6.18-194.7.1.el5,can be closed.
Comment 10 Douglas Silas 2010-06-28 16:19:00 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The virtio balloon driver was able to access the virtual guest's kernel's reservation pools in order to satisfy a balloon request, which could have caused a kernel of the virtual guest to run out of memory when attempting to satisfy the host operating system's request to donate free memory pages. This has been fixed so that virtual guests do not run out of memory when guest memory usage is high.
Comment 12 errata-xmlrpc 2010-07-01 14:29:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html

Note You need to log in before you can comment on or make changes to this bug.